*,
body {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html {
    width: 100%;
}

body {
    background: #212529;
}


/* FONTS */

@font-face {
    font-family: Futura-CondensedLight;
    src: url(../font/Futura-CondensedLight.otf);
}

@font-face {
    font-family: HelveticaLTStd-UltraComp;
    src: url(../font/HelveticaLTStd-UltraComp.otf);
}

.Futura-CondensedLight {
    font-family: Futura-CondensedLight;
}

.HelveticaLTStd-UltraComp {
    font-family: HelveticaLTStd-UltraComp;
}


/******************************** MENU CON SWIPER ***************************/

body::-webkit-scrollbar {
    width: 4px;
}

body::-webkit-scrollbar-track {
    background-color: rgba(255, 255, 255, 0.1);
    border-radius: 10px;
}

body::-webkit-scrollbar-thumb {
    background-color: #d4d4d4;
    border-radius: 10px;
}

.letter-spacing-1 {
    letter-spacing: 10px;
}

.letter-spacing-2 {
    letter-spacing: 5px;
}


/* LOADER */

.loader {
    width: 100%;
    height: 100vh;
    background: rgb(109, 53, 31);
    z-index: 100;
    transition: all 1.2s ease-in-out;
}

.load,
.load1,
.load2 {
    transition: all .5s ease-in-out;
    background: rgb(192, 192, 192);
    width: 100%;
    height: 3px;
}

.load1 {
    transform-origin: right;
}

.load2 {
    transform-origin: left;
}

.load1.animation,
.load2.animation {
    background: rgb(124, 124, 124);
    animation: infinite-spinning 2s infinite;
}

.load.off,
.load1.off,
.load2.off {
    width: 0;
    animation-iteration-count: 1 !important;
}

.img-load {
    width: 30%;
}

@keyframes infinite-spinning {
    0% {
        -webkit-transition: width 1s ease-in-out;
        -moz-transition: width 1s ease-in-out;
        -o-transition: width 1s ease-in-out;
        transition: width 1s ease-in-out;
        width: 100%;
    }
    50% {
        -webkit-transition: width 1s ease-in-out;
        -moz-transition: width 1s ease-in-out;
        -o-transition: width 1s ease-in-out;
        transition: width 1s ease-in-out;
        width: 0%;
    }
    100% {
        -webkit-transition: width 1s ease-in-out;
        -moz-transition: width 1s ease-in-out;
        -o-transition: width 1s ease-in-out;
        transition: width 1s ease-in-out;
        width: 100%;
    }
}


/* SWIPER JS*/

.contenedor-carousel {
    background-color: black;
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.bk-slider {
    position: relative;
    width: 100vw;
}

.swiper {
    width: 100%;
    height: 100vh;
    overflow: visible;
    margin: auto 0;
}

.swiper-top-line {
    position: absolute;
    top: 0%;
    left: 0;
    height: 60px;
    width: 100vw;
    background: rgb(0, 0, 0);
    background: linear-gradient(0deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 1) 100%);
    z-index: 2;
}

.swiper.swiper2 {
    height: 100%;
}

.swiper-wrapper {
    width: 100%;
    display: flex;
    align-items: center;
}

.swiper-slide {
    width: 60%;
    height: 60%;
    text-align: center;
    font-size: 18px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgb(0, 0, 0);
    background-position: center;
    background-size: cover;
}

.swiper-slide.swiper1 {
    margin: 0 75px;
}

.swiper-slide.swiper2 {
    width: 100%;
    height: 100%;
}

.swiper-slide:nth-child(2).swiper1 {
    /* margin: 0 75px 0 150px; */
    background-image: url(../img/nosotros/banner_3.webp);
}

.swiper-slide:nth-child(3).swiper1 {
    /* margin: 0 150px 0 75px; */
    background-image: url(../img/productos/baner_4.webp);
}

.swiper-slide:nth-child(4).swiper1 {
    /* margin-left: 75px !important; */
    background-image: url(../img/contacto/banner_2.png);
}

.swiper-slide:nth-child(1).swiper2 {
    background-image: url(../img/main/img3.webp);
}

.swiper-slide:nth-child(2).swiper2 {
    background-image: url(../img/main/img2.webp);
}

.swiper-slide:nth-child(3).swiper2 {
    background-image: url(../img/main/img1.webp);
}

.swiper-slide:nth-child(4).swiper2 {
    background-image: url(../img/main/img4.webp);
}

.swiper-slide:nth-child(5).swiper2 {
    background-image: url(../img/main/img5.webp);
}

.swiper-slide.swiper-slide-active a,
.swiper-slide.swiper-slide-active {
    z-index: 100;
    transition: all .5s ease-in;
}

.swiper-slide.swiper-slide-active.selectSlide {
    transform: scale(1.7);
}


/* ARROWS */

.swiper-button-prev,
.swiper-button-next {
    color: yellow;
    margin: 0 15%;
    transition: all 0.3s;
}

.swiper-button-prev.swiper3,
.swiper-button-next.swiper3 {
    color: white;
    background: rgb(138, 18, 18) !important;
}

.swiper-button-disabled.swiper1 {
    visibility: hidden;
}

.swiper1.swiper-button-prev:hover {
    transform: translateX(-101%);
}

.swiper-button-prev::after {
    content: "←";
}

.swiper-button-next::after {
    content: "→";
}


/* PAGINATION */

.swiper-pagination.swiper1 {
    transition: opacity 1s ease-out;
    opacity: 1;
    height: auto;
    overflow: hidden;
}

.swiper-pagination.swiper1.selectSlide {
    opacity: 0;
    height: 0;
    transform: translateY(1);
}

.swiper-pagination-horizontal.swiper-pagination-bullets .swiper-pagination-bullet {
    width: auto;
    text-align: center;
    line-height: 20px;
    padding-top: 2%;
    margin: 0 1% 3% !important;
    color: #fff;
    opacity: 1;
    background: rgba(0, 0, 0, 0.2);
    border-top: 1px solid yellow;
    border-radius: 0;
}

.swiper-pagination-horizontal.swiper-pagination-bullets .swiper-pagination-bullet.swiper-pagination-bullet-active {
    color: yellow;
}

.swiper-pagination-vertical {
    right: 2.5% !important;
    width: 10px;
}

:root {
    --swiper-theme-color: #ffffff;
}


/* MENU BTN */

.menu {
    z-index: 10;
    cursor: pointer;
}

.menu-activador {
    width: 30px;
    height: 20px;
    z-index: 9;
    pointer-events: none;
}

.menu-activador #lanzador {
    position: absolute;
    left: -9999px;
}

.menu-activador label {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

.menu-activador .menu-activador-linea {
    height: 2px;
    background-color: rgb(255, 255, 255);
    opacity: 1;
    transform: translateY(0) rotate(0);
    transition: all 0.3s;
}

.menu-activador #lanzador:checked~label .menu-activador-linea:nth-child(1) {
    transform: translateY(9px) rotate(45deg);
}

.menu-activador #lanzador:checked~label .menu-activador-linea:nth-child(2) {
    opacity: 0;
}

.menu-activador #lanzador:checked~label .menu-activador-linea:nth-child(3) {
    transform: translateY(-9px) rotate(-45deg);
}


/* .logo-menu {
    position: absolute;
    bottom: 50px;
    left: 50%;
    z-index: 100;
    transition: all 1.2s;
    transform: translate(-50%, 0);
} */

.logo-menu {
    position: absolute;
    bottom: 50%;
    left: 50%;
    z-index: 101;
    transition: all .9s ease-in-out;
    transform: translate(-50%, 50%);
}

.logo-menu.translateBottom {
    bottom: 50px;
    transform: translate(-50%, 0);
}

.logo-menu.translate {
    bottom: calc(100vh - 35%);
    transform: translate(-50%, -0%) scale(60%) !important;
}

.logo-menu img {
    width: 70%;
}


/* do scroll icon */

.do-scroll {
    position: absolute;
    bottom: 2.5%;
    left: 50%;
    transform: translate(-50%, 0%);
    z-index: 99;
    animation: do-scroll-animation 2s infinite;
}

@keyframes do-scroll-animation {
    0% {
        bottom: 2.5%;
    }
    50% {
        bottom: 5%;
    }
    100% {
        bottom: 2.5%;
    }
}


/************************* MAIN  *************************/

main {
    z-index: 10;
    position: relative;
}

#contenido {
    background: #f1f1f1;
}

.index {
    width: 500px;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 11;
    position: fixed;
    left: -100px;
    top: 50%;
    transform: translate(-46%, 0%) rotate(-90deg);
    transition: all .2s ease;
}

.index.animation {
    left: 0px;
}

.text-index {
    text-align: left !important;
    padding-left: 10px;
    border-left: 4px solid rgb(173, 0, 0) !important;
}

.num-index {
    transform: rotate(90deg);
}


/************************* INICIO  *************************/

.swiper.swiper3 {
    height: 70vh;
}

.swiper-slide.swiper3 {
    width: 60%;
    height: 100%;
}

.swiper-button-next.swiper3,
.swiper-rtl .swiper-button-prev.swiper3 {
    width: 60px;
    height: 60px;
    right: 27.5%;
}

.swiper-button-prev.swiper3,
.swiper-rtl .swiper-button-next.swiper3 {
    width: 60px;
    height: 60px;
    left: 27.5%;
}

.swiper-button-next.swiper3,
.swiper-button-prev.swiper3 {
    top: 95%;
    /* background: #000; */
}

.swiper-slide:nth-child(1).swiper3.inicio {
    background-image: url(../img/main/img-galeria1.webp);
}

.swiper-slide:nth-child(2).swiper3.inicio {
    background-image: url(../img/main/img-galeria2.webp);
}

.swiper-slide:nth-child(3).swiper3.inicio {
    background-image: url(../img/main/img-galeria3.webp);
}

.swiper-slide:nth-child(4).swiper3.inicio {
    background-image: url(../img/main/img-galeria4.webp);
}

.border-tinto {
    margin: 10% 0;
    height: 35vh;
    border-right: 4px solid rgb(173, 0, 0) !important;
}

.border-tinto.border-light {
    height: 15vh;
    margin: 1% 0;
}

.main-scc-1 {
    width: 100%;
    min-height: 150vh;
    background: url(../img/main/P.png);
    background-position: top;
    background-size: auto;
    background-repeat: no-repeat;
}

.img-1-main {
    margin-top: 70vh;
}

.bottom-border {
    width: 9rem;
    border-bottom: 4px solid rgb(173, 0, 0) !important;
}

.img-secc2-main {
    width: 120%;
    height: auto;
}

.img2-secc2-main {
    margin-top: -15%;
}

.img3-secc2-main {
    width: 130%;
    height: auto;
}

.line-borrow {
    width: 3rem;
    height: 3px;
    background: rgb(173, 0, 0);
}

.line-yellow {
    width: 3rem;
    height: 3px;
    background: yellow;
}

.bg-borrow {
    background: rgb(173, 0, 0);
}


/* NOSOTROS */

.img-secc2-nosotros {
    margin-top: 25%;
}

.bg-nosotros-secc3 {
    background: url(../img/nosotros/F.png);
    background-position: top;
    background-size: 50%;
    background-repeat: no-repeat;
}

.bg-nosotros-last-secc {
    min-height: 100vh;
    width: 100%;
    background: url(../img/nosotros/bg-last-secc-main.webp);
    background-position: center;
    background-size: cover;
}

.btn-modal {
    transition: all .4s ease-in-out;
}

.btn-modal:hover {
    transform: scale(110%);
}

.btn-modal img:nth-child(2) {
    width: 10%;
}

.youtube {
    /* Extend it beyond the viewport... */
    width: 300%;
    height: 100%;
    /* ...and bring it back again */
    margin-left: -100%;
}


/* PRODUCTOS */

.swiper-slide:nth-child(1).swiper3.productos {
    background-image: url(../img/productos/img9.webp);
}

.swiper-slide:nth-child(2).swiper3.productos {
    background-image: url(../img/productos/img10.webp);
}

.swiper-slide:nth-child(3).swiper3.productos {
    background-image: url(../img/productos/img11.webp);
}

.swiper-slide:nth-child(4).swiper3.productos {
    background-image: url(../img/productos/img12.webp);
}


/* CONTACTO */

.bg-secondary-light {
    background: rgb(230, 230, 230) !important;
}

.bg-last-secc-contacto {
    min-height: 65vh;
    width: 100%;
    background: url(../img/contacto/bg-last-secc-contacto.png);
    background-position: center;
    background-size: cover;
}


/* FOOTER */

.top-button {
    cursor: pointer;
    z-index: 99;
    width: 50px;
    height: 50px;
    transition: all .3s ease-in-out;
    background: rgb(173, 0, 0);
}

.top-button:hover {
    transform: scale(110%);
}

.top-button a {
    width: 100%;
    height: 100%;
}

@media (max-width: 960px) {
    .swiper-button-prev,
    .swiper-button-next {
        margin: 0 2.5%;
    }
    .logo-menu img {
        width: 100%;
    }
    .logo-menu.translate {
        bottom: 70%;
        transform: translate(-50%, 0%) scale(45%);
    }
    .logo-menu.translateBottom {
        bottom: 100px;
    }
    @keyframes do-scroll-animation {
        0% {
            bottom: 5%;
        }
        50% {
            bottom: 10%;
        }
        100% {
            bottom: 5%;
        }
    }
    /* MAIN */
    .main-scc-1 {
        background-size: contain;
    }
    .img-1-main {
        margin-top: 50vh;
    }
    /* NOSOTROS */
    .img-secc2-nosotros {
        margin-top: 0%;
    }
    .bg-nosotros-secc3 {
        padding-top: 60% !important;
    }
    /* CONTACTO */
    .border-secondary-light {
        border-color: rgb(169, 169, 169) !important;
        border-bottom: 2px;
    }
    textarea {
        min-height: 200px !important;
    }
}